%define modname zookeeper
%define soname %{modname}.so
%define inifile B09_%{modname}.ini

Summary:	PHP extension for interfacing with Apache ZooKeeper
Name:		php-%{modname}
Version:	0.7.2
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/zookeeper/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires:	php >= 3:7.4.0
Requires:	php-common = 3:7.4
BuildRequires:	php-devel >= 3:7.0.0
BuildRequires:	zookeeper-devel >= 3

%description
This extension provides API for communicating with ZooKeeper service.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%serverbuild



phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF


%files
%doc CREDITS ChangeLog LICENSE README.markdown zookeeper-api.php package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Thu Jun 18 2020 mokraemer <mokraemer> 0.7.2-3.mga7
+ Revision: 1595938
- Fix dependency
- backport for php 7.4
- backport php 7.4

* Tue Feb 18 2020 umeabot <umeabot> 0.7.2-2.mga8
+ Revision: 1539870
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 13 2019 mokraemer <mokraemer> 0.7.2-1.mga8
+ Revision: 1466571
- new version 0.7.2

* Fri Nov 29 2019 mokraemer <mokraemer> 0.7.1-3.mga8
+ Revision: 1463552
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 0.7.1-2.mga8
+ Revision: 1454928
- removed dirname

* Tue Mar 12 2019 mokraemer <mokraemer> 0.7.1-1.mga7
+ Revision: 1374561
- new version 0.7.1

* Wed Feb 27 2019 mokraemer <mokraemer> 0.7.0-1.mga7
+ Revision: 1370421
- new version 0.7.0

* Wed Jan 23 2019 mokraemer <mokraemer> 0.6.3-1.mga7
+ Revision: 1359862
- new version 0.6.3

* Wed Dec 12 2018 mokraemer <mokraemer> 0.6.2-4.mga7
+ Revision: 1340502
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 0.6.2-3.mga7
+ Revision: 1325764
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 0.6.2-2.mga7
+ Revision: 1300257
- Mageia 7 Mass Rebuild

* Mon Jul 23 2018 mokraemer <mokraemer> 0.6.2-1.mga7
+ Revision: 1244947
- new version 0.6.2

* Sat Jul 14 2018 mokraemer <mokraemer> 0.6.1-3.mga7
+ Revision: 1243623
- new version 0.6.1

* Wed Apr 11 2018 pterjan <pterjan> 0.4.0-3.mga7
+ Revision: 1217408
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 0.4.0-2.mga7
+ Revision: 1181090
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 0.4.0-1.mga7
+ Revision: 1177244
- new version

* Fri Feb 05 2016 umeabot <umeabot> 0.2.2-7.mga6
+ Revision: 937385
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.2-6.mga5
+ Revision: 739494
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.2-5.mga5
+ Revision: 687565
- Mageia 5 Mass Rebuild

* Fri Jan 24 2014 pterjan <pterjan> 0.2.2-4.mga4
+ Revision: 567663
- Rebuild for new PHP

* Fri Jan 10 2014 dmorgan <dmorgan> 0.2.2-3.mga4
+ Revision: 566158
- Rebuild against new zookeeper
+ spuhler <spuhler>
- we updated zookeeper and this package builds now
- we obsoleted zookeper, a requires

* Sat Oct 19 2013 umeabot <umeabot> 0.2.2-2.mga4
+ Revision: 531116
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 oden <oden> 0.2.2-1.mga4
+ Revision: 462118
- 0.2.2

* Thu Jun 13 2013 oden <oden> 0.2.1-11.mga4
+ Revision: 442749
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.2.1-10.mga3
+ Revision: 393384
- rebuilt for php-5.4.11

* Thu Jan 17 2013 spuhler <spuhler> 0.2.1-9.mga3
+ Revision: 388996
- added zend patch
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.2.1-9.mga2
+ Revision: 223959
- httpd restart is handled by filetriggers now

* Sun Jan 22 2012 spuhler <spuhler> 0.2.1-8.mga2
+ Revision: 199796
- upgrade to 0.2.1

* Mon Feb 07 2011 spuhler <spuhler> 0.1.0-8.mga1
+ Revision: 48356
- removed buildroot definition from .spec
- imported package php-zookeeper

